# Installation

There are serveral ways to install the package. The `pip` and the [`poetry`](https://python-poetry.org/) ways are
recommended.

The minimum requirements are:

- Python >= 3.8
- Pytest >= 7.1

The plugin should run anywhere where these two things can be used.

## Install via `pip`

```bash
pip install pytest_csv_params
```

Alternatively, you can use the codebau.dev package repository:

```bash
pip install --extra-index-url https://git.codebau.dev/api/packages/pytest-plugins/pypi/simple pytest-csv-params
```

## Install via `poetry`

```bash
poetry add --dev pytest_csv_params
```

For more information about `poetry`, visit [python-poetry.org](https://python-poetry.org/)

## For development

Please checkout the repository from [git.codebau.dev](https://git.codebau.dev/pytest-plugins/pytest-csv-params).
